import 'package:material_x/material_x.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    mxStatusBar();
    return HomePages().mxMaterialApp(title: 'zeeshan');
  }
}

class HomePages extends StatefulWidget {
  @override
  _HomePagesState createState() => _HomePagesState();
}

class _HomePagesState extends State<HomePages> {
  @override
  Widget build(BuildContext context) {
    return (BuildContext context, int index) {
      return AnimationConfiguration.staggeredList(
        position: index,
        duration: const Duration(milliseconds: 1000),
        child: ListTile(
          title: index.toString().textMaterial(),
        ).mxContainer(color: Colors.red).mxap(value: 20.0).mxFA().mxSA(),
      );
    }.mxListVB(itemCount: 100).mxAnimationLimiter().mxScaffold();
  }
}
